commit: f9b240bfbc66361e040ee00f8621cd80b63bce7c
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Aug 2 23:10:48 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Aug 2 23:10:48 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f9b240bf
sys-cluster/TCL: update EAPI 7 -> 8
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-cluster/TCL/TCL-1.0.ebuild | 12 +++++++-----
1 file changed, 7 insertions(+), 5 deletions(-)
diff --git a/sys-cluster/TCL/TCL-1.0.ebuild b/sys-cluster/TCL/TCL-1.0.ebuild
index 01ad7ac5c..cfeac3c94 100644
--- a/sys-cluster/TCL/TCL-1.0.ebuild
+++ b/sys-cluster/TCL/TCL-1.0.ebuild
@@ -1,7 +1,7 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit autotools
@@ -41,14 +41,16 @@ src_configure() {
$(use_enable instrumentation)
)
+ if use debug && use instrumentation; then
+ myconf+=( "--enable-instrumentation-debug" )
+ else
+ myconf+=( "--disable-instrumentation-debug" )
+ fi
if use fti; then
myconf+=( "--with-fti=${EPREFIX}/usr" )
else
myconf+=( "--without-fti" )
fi
- if use instrumentation; then
- myconf+=( $(use_enable instrumentation-debug debug) )
- fi
if use scr; then
myconf+=( "--with-scr=${EPREFIX}/usr" )
else
@@ -66,5 +68,5 @@ src_configure() {
src_install() {
default
dodoc NEWS AUTHORS INSTALL
- find "${ED}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}